package com.ruoyi.project.training.bccnew.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.bccnew.mapper.TTsFlplanContentMapper;
import com.ruoyi.project.training.bccnew.domain.TTsFlplanContent;
import com.ruoyi.project.training.bccnew.service.ITTsFlplanContentService;

/**
 * 分离培训内容Service业务层处理
 *
 * @author ssy
 * @date 2024-07-19
 */
@Service
public class TTsFlplanContentServiceImpl implements ITTsFlplanContentService
{
    @Autowired
    private TTsFlplanContentMapper tTsFlplanContentMapper;

    /**
     * 查询分离培训内容
     *
     * @param id 分离培训内容ID
     * @return 分离培训内容
     */
    @Override
    public TTsFlplanContent selectTTsFlplanContentById(Long id)
    {
        return tTsFlplanContentMapper.selectTTsFlplanContentById(id);
    }

    /**
     * 查询分离培训内容列表
     *
     * @param tTsFlplanContent 分离培训内容
     * @return 分离培训内容
     */
    @Override
    public List<TTsFlplanContent> selectTTsFlplanContentList(TTsFlplanContent tTsFlplanContent)
    {
        return tTsFlplanContentMapper.selectTTsFlplanContentList(tTsFlplanContent);
    }

    /**
     * 新增分离培训内容
     *
     * @param tTsFlplanContent 分离培训内容
     * @return 结果
     */
    @Override
    public int insertTTsFlplanContent(TTsFlplanContent tTsFlplanContent)
    {
        return tTsFlplanContentMapper.insertTTsFlplanContent(tTsFlplanContent);
    }

    /**
     * 修改分离培训内容
     *
     * @param tTsFlplanContent 分离培训内容
     * @return 结果
     */
    @Override
    public int updateTTsFlplanContent(TTsFlplanContent tTsFlplanContent)
    {
        return tTsFlplanContentMapper.updateTTsFlplanContent(tTsFlplanContent);
    }

    /**
     * 批量删除分离培训内容
     *
     * @param ids 需要删除的分离培训内容ID
     * @return 结果
     */
    @Override
    public int deleteTTsFlplanContentByIds(Long[] ids)
    {
        return tTsFlplanContentMapper.deleteTTsFlplanContentByIds(ids);
    }

    /**
     * 删除分离培训内容信息
     *
     * @param id 分离培训内容ID
     * @return 结果
     */
    @Override
    public int deleteTTsFlplanContentById(Long id)
    {
        return tTsFlplanContentMapper.deleteTTsFlplanContentById(id);
    }
}
